Bug 1272725 - [abrt] nautilus: g_local_file_trash(): nautilus killed by SIGABRT
[abrt] nautilus: g_local_file_trash(): nautilus killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9f282e3febf2dc940006df4ec62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 23:32 EDT by Michael Catanzaro
Modified: 2016-12-20 10:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:03:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.86 KB, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: core_backtrace (11.83 KB, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: dso_list (12.87 KB, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: environ (870 bytes, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: maps (64.11 KB, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: open_fds (3.13 KB, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details
File: var_log_messages (288 bytes, text/plain)
2015-10-17 23:32 EDT, Michael Catanzaro
no flags Details

  None (edit)
Description Michael Catanzaro 2015-10-17 23:32:05 EDT
Description of problem:
Plugged in a USB flash drive. Might have happened when clicking on the notification?

Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_local_file_trash
executable:     /usr/bin/nautilus
global_pid:     6844
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #7 g_local_file_trash at glocalfile.c:2143
 #8 trash_file at nautilus-file-operations.c:1991
 #9 trash_files at nautilus-file-operations.c:2087
 #10 delete_job at nautilus-file-operations.c:2191
 #11 io_job_thread at gioscheduler.c:85
 #12 g_task_thread_pool_thread at gtask.c:1283
 #14 g_thread_proxy at gthread.c:778
Comment 1 Michael Catanzaro 2015-10-17 23:32:09 EDT
Created attachment 1084042 [details]
File: backtrace
Comment 2 Michael Catanzaro 2015-10-17 23:32:10 EDT
Created attachment 1084043 [details]
File: cgroup
Comment 3 Michael Catanzaro 2015-10-17 23:32:11 EDT
Created attachment 1084044 [details]
File: core_backtrace
Comment 4 Michael Catanzaro 2015-10-17 23:32:12 EDT
Created attachment 1084045 [details]
File: dso_list
Comment 5 Michael Catanzaro 2015-10-17 23:32:13 EDT
Created attachment 1084046 [details]
File: environ
Comment 6 Michael Catanzaro 2015-10-17 23:32:14 EDT
Created attachment 1084047 [details]
File: limits
Comment 7 Michael Catanzaro 2015-10-17 23:32:16 EDT
Created attachment 1084048 [details]
File: maps
Comment 8 Michael Catanzaro 2015-10-17 23:32:17 EDT
Created attachment 1084049 [details]
File: mountinfo
Comment 9 Michael Catanzaro 2015-10-17 23:32:18 EDT
Created attachment 1084050 [details]
File: open_fds
Comment 10 Michael Catanzaro 2015-10-17 23:32:19 EDT
Created attachment 1084051 [details]
File: proc_pid_status
Comment 11 Michael Catanzaro 2015-10-17 23:32:20 EDT
Created attachment 1084052 [details]
File: var_log_messages
Comment 12 Michael Catanzaro 2015-10-17 23:37:19 EDT
(In reply to Michael Catanzaro from comment #0)
> Description of problem:
> Plugged in a USB flash drive. Might have happened when clicking on the
> notification?

Actually, I think it happened when unmounting the flash drive by clicking the eject arrow in the nautilus sidebar. That explains why it was trying to trash files.
Comment 13 Kadir 2015-11-06 12:04:19 EST
I have reproduced this exact bug, I believe.

When I have a Nautilus window open and I plug in an USB drive, a notification comes up, when I click the notification, Nautilus and Gnome Shell both crash.
Comment 14 michal 2015-11-17 11:07:06 EST
Another user experienced a similar problem:

I tried to delele two folders which were owned by root (I didn't have the permissions) and nautilus crashed instanly.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_local_file_trash
executable:     /usr/bin/nautilus
global_pid:     5114
kernel:         4.2.5-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 07:49:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:03:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.